groovy.util

## Class ObjectGraphBuilder.DefaultIdentifierResolver

- java.lang.Object
- - groovy.util.ObjectGraphBuilder.DefaultIdentifierResolver

- All Implemented Interfaces:
    ObjectGraphBuilder.IdentifierResolver
  Enclosing class:
    ObjectGraphBuilder

      public static class ObjectGraphBuilder.DefaultIdentifierResolver
      extends Object
      implements ObjectGraphBuilder.IdentifierResolver

  Default impl, always returns 'id'

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectGraphBuilder.DefaultIdentifierResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIdentifierFor(String nodeName)` Returns the name of the property that will identify the node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectGraphBuilder.DefaultIdentifierResolver

          public ObjectGraphBuilder.DefaultIdentifierResolver()

  - ### Method Detail

    - #### getIdentifierFor

          public String getIdentifierFor(String nodeName)

      Description copied from interface: `ObjectGraphBuilder.IdentifierResolver`
      Returns the name of the property that will identify the node.
      Specified by:
        `getIdentifierFor` in interface `ObjectGraphBuilder.IdentifierResolver`
      Parameters:
        `nodeName` - the name of the node